# return

The keyword is a homonym. It is used to...

1. indicate that an (internal or external) function will return a value. This usage occurs in the function header;
2. indicate that a procedure will return a value. This usage occurs in the signature definition;
3. end the program execution within the function and return a value compatible with the one declared in the function header. This usage occurs in the function statement block. The keyword is followed by an expression evaluating to the returned value.

Related keywords:

- function
- signature

### return...

BNF definition of return in sense 1 and 2.
BNF definition of return in sense 3.